cURL
curl --request POST \
--url https://api.bmpdigital.moneyp.dev.br/Proposta/CalcularGridParcelasSimplificadoPrice \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'IdempotencyKey: <idempotencykey>' \
--data '
{
"parametros": [
{
"nome": "<string>",
"valor": "<string>"
}
]
}
'import requests
url = "https://api.bmpdigital.moneyp.dev.br/Proposta/CalcularGridParcelasSimplificadoPrice"
payload = { "parametros": [
{
"nome": "<string>",
"valor": "<string>"
}
] }
headers = {
"IdempotencyKey": "<idempotencykey>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
IdempotencyKey: '<idempotencykey>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({parametros: [{nome: '<string>', valor: '<string>'}]})
};
fetch('https://api.bmpdigital.moneyp.dev.br/Proposta/CalcularGridParcelasSimplificadoPrice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"hasError": true,
"messages": [
{
"code": "<string>",
"context": "<string>",
"description": "<string>",
"field": "<string>"
}
],
"proposta": {
"valorSolicitado": 123,
"prazo": 123,
"vlrParcela": 123,
"vlrTAC": 123,
"vlrBoleto": 123,
"vlrSeguro": 123,
"vlrIOF": 123,
"percIOF": 123,
"vlrTotalCredito": 123,
"vlrTotalDivida": 123,
"percCETMensal": 123,
"percCETAnual": 123,
"percJurosMensal": 123,
"percJurosAnual": 123,
"parcelas": [
{
"parcela": 123,
"dias": 123,
"dtVencimento": "2023-11-07T05:31:56Z",
"vlrSaldoDevedor": 123,
"vlrAmortizacao": 123,
"vlrJuros": 123,
"vlrPrestacaoTotal": 123,
"vlrJurosAcumulado": 123,
"vlrJurosMensal": 123
}
]
}
}{
"msg": "<string>",
"hasError": true,
"messages": [
{
"code": "<string>",
"context": "<string>",
"description": "<string>",
"field": "<string>"
}
]
}Simulations
14 - Detailed simulation
cURL
Through this endpoint, the partner can simulate the proposal values. The system provides the calculation for the required term and details of all installment amounts, considering the calculation according to the rates applied in this modality and according to the parameters already registered in the system.
title: “14 - Detailed Simulation” openapi: post /Proposta/CalcularGridParcelasSimplificadoPrice version: ‘English’
Through this endpoint, the partner can simulate the values of the proposal. The system calculates the required term and details of all installments, considering the calculation according to the rates applied in this modality and as per the parameters already registered in the system.Show Messages - Calculate Simplified Installment Grid Price
Show Messages - Calculate Simplified Installment Grid Price
| Category | Operation | Action | Code | Detailed Code | Message |
|---|---|---|---|---|---|
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0016 | V0001 | Produto não configurado para esta integração |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0016 | V0002 | Tipo Pessoa deve ser 1-PF ou 2-PJ |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0016 | V0003 | Prazo não configurado para o produto |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0127 | V0001 | Fluxo Irregular: Campo [NroDiasIntervaloPrazo] deve receber um valor |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0127 | V0002 | Preencher o campo [NroDiasIntervaloPrazo] apenas quando Fluxo Irregular |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0001 | O valor solicitado não é válido |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0002 | Formato de cálculo inválido |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0003 | É necessário o produto |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0004 | Prazo inválido ou não localizado para este Produto x Rede |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0005 | Não é possível aprovar a proposta. Produto x Rede x Parcela não possui juros configurado |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0006 | Configuração deve ser enviada para proposta HotMoney |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0007 | Produto Rotativo e HotMoney aceitam apenas formato de cálculo com juros |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0196 | V0008 | Formato de Cálculo não informado |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0017 | V0001 | Produto não configurado para esta integração |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0017 | V0002 | Tipo Pessoa deve ser 1-PF ou 2-PJ |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0017 | V0003 | Prazo não configurado para o produto |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0001 | O valor solicitado não é válido |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0002 | Formato de cálculo não é permitido |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0003 | Produto não utiliza método SAC |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0004 | É necessário o produto |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0005 | Prazo inválido ou não localizado para este Produto x Rede |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0006 | Não é possível aprovar a proposta. Produto x Rede x Parcela não possui juros configurado |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0007 | Taxa deve ser de {percJuros} |
| Proposta | CalculaGridParcelasSimplificadoPrice | CalcularGridParcelasSimplificadoPrice | C0197 | V0008 | TAC deve ser de {VlrTAC} |
Authorizations
Informe o token
Headers
Body
application/jsontext/jsonapplication/*+json
Was this page helpful?
⌘I

